<template>
  <ul :class="listClass">
    <li v-for="(item, index) in list" :key="index">
      <slot :item="item">
        <mt-list-item>
          {{ item.title }}
        </mt-list-item>
      </slot>
    </li>
  </ul>
</template>

<script>
import MtListItem from './list-item';

export default {
  name: 'MtList',
  components: {
    MtListItem,
  },
  props: {
    list: {
      type: Array,
      default: () => [],
    },
    listClass: {
      type: String,
      default: () => 'mt-list',
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

.mt-list {
  li:first-child {
    border-top: 1px solid $list-item-border-color-blue;
  }
  li {
    transition-property: background-color;
    transition-duration: 0.3s;

    &:hover {
      background-color: rgba($pale-grey-two, 0.5);
    }
  }

  margin: 1.25rem 0;
}
</style>
